Create Provider Resource
Creates a pronunciation-dictionary resource for a supported provider, currently Cartesia or ElevenLabs.
Authentication
AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.
Path parameters
provider
The provider (e.g., 11labs)
Allowed values:
resourceName
The resource name (e.g., pronunciation-dictionary)
Allowed values:
Response
Successfully created provider resource
id
This is the unique identifier for the provider resource.
orgId
This is the unique identifier for the org that this provider resource belongs to.
createdAt
This is the ISO 8601 date-time string of when the provider resource was created.
updatedAt
This is the ISO 8601 date-time string of when the provider resource was last updated.
provider
This is the provider that manages this resource.
resourceName
This is the name/type of the resource.
resourceId
This is the provider-specific identifier for the resource.
resource
This is the full resource data from the provider's API.